Faraday 1.0.17 - Collaborative Penetration Test and Vulnerability Management Platform

Sunday, February 28, 2016



Faraday introduces a new concept - IPE (Integrated Penetration-Test Environment) a multiuser Penetration test IDE. Designed for distribution, indexation and analysis of the generated data during the process of a security audit.

The first of many releases in 2016, Faraday v.1.0.17 (Community, Pro & Corp) introduces a new Maltego Plugin, support for Mint 17 and Kali Rolling, and several fixes including installation issues.

Changes:
  • New Maltego Plugin
  • Added support for Kali Rolling Edition
  • Added support for Mint 17
  • Added user notification when the current Workspace doesn't exist
  • Added removeBySeverity.py script - as its name describes, it removes all vulns with a specific severity value. It supports the following parameters:
    • -v extended output
    • -t dry-run, won't connect to DB
    • -s severity to filter by, required
    • -d workspace, required
    python $FARADAY/helpers/removeBySeverity.py -d WORKSPACE_NAME -s SEVERITY -v 

Bug fixes:
  • Fixed bug in pip Debian
  • Fixed pip install bug
  • Checks additionals about dependencies in installation
  • Warning about a upgrade to experimental in debian installation
  • Fixed small bug in CSV importing
  • Fixed styles for Status Report
  • Fixed bug on Status Report filter after editing
  • Show all evidence files in Status Report
  • Fixed Arachni Plugin bugs


We hope you enjoy it, and let us know if you have any questions or comments.




Subscribe via e-mail for updates!